/*使用实例：
$("#search_sel")
.unbind('mouseover').bind('mouseover',showDropDown_forButton)
.unbind('mouseout').bind('mouseout',hideDropDown_forButton);

$("#search_sel"+ExpName)
.unbind('mouseover').bind('mouseover',showDropDown_forNav)
.unbind('mouseout').bind('mouseout',hideDropDown_forNav);
*/

//变量
var navIsShowing=false;
var Canclosenav=false;
var colse_TimeOut=null;
var Last_modelId="";
var cur_modelId="";
var ExpName="navMore";

//鼠标经过下拉内容时，显示下拉内容
function showDropDown_forNav(){
		if(navIsShowing)
         {
             window. clearTimeout(colse_TimeOut);
             colse_TimeOut=null;
             return;
         }
         navIsShowing=true;
         window. clearTimeout(colse_TimeOut);
         Canclosenav=false; 
         Last_modelId=cur_modelId;
         $('#'+cur_modelId).show();
}
//鼠标离开下拉内容时，隐藏下拉内容
function hideDropDown_forNav(){
      Canclosenav=true;
      colse_TimeOut=window. setTimeout(function(){
                                           if(Canclosenav)
                                           {
                                         
                                               $('#'+Last_modelId).hide();
                                               Canclosenav=false;
                                               navIsShowing=false;
                                           }
                                           window. clearTimeout(colse_TimeOut); 
                                           colse_TimeOut=null;
                                       },50);

}

//鼠标经过按扭时，显示下拉内容
function showDropDown_forButton(){
	var $content 	= $(this);

   if(Last_modelId!=""&&Last_modelId!= $(this).attr("id")+ExpName)//隐藏前一个显示的下拉
   {
       Canclosenav=false;
       window.clearTimeout(colse_TimeOut);//删除定时器
       colse_TimeOut=null;
       $('#'+Last_modelId).hide();
       Canclosenav=false;
       navIsShowing=false;
    }
     if(Last_modelId== ($(this).attr("id")+ExpName)&&navIsShowing)
    {
  
       Canclosenav=false;
       window.clearTimeout(colse_TimeOut);//删除定时器
       colse_TimeOut=null;
    
    }
    
	//显示下拉层
	cur_modelId=$content.attr("id")+ExpName;//获取Id
	if(navIsShowing)//若正在展示，返回
       return;
	$('#'+cur_modelId).show();
	navIsShowing=true;
}
//鼠标离开按扭时，隐藏下拉内容
function hideDropDown_forButton(){ 
    //设定关闭下拉层的定时器
    Canclosenav=true;
    Last_modelId=cur_modelId;
    colse_TimeOut=window. setTimeout(function(){
                                           if(Canclosenav)
                                           {
                                               if(Last_modelId!="")$('#'+Last_modelId).hide();
                                               Canclosenav=false;
                                               navIsShowing=false;
                                           }
                                           window. clearTimeout(colse_TimeOut); 
                                           colse_TimeOut=null;
                                       },50);
}
